reportbug "smtppasswd" password setting information disclosure

reportbug-smtppasswd-information-disclosure (19520) The risk level is classified as MediumMedium Risk

Description:

reportbug could allow a remote attacker to obtain sensitive information, caused by a vulnerability in the .bugreportrc that includes the 'smtppasswd' password setting.


Consequences:

Obtain Information

Remedy:

Upgrade to the latest version of reportbug (3.8 or later), available from the Debian reportbug Web page. See References.

For Ubuntu 4.10:
Upgrade to the latest version of reportbug (2.62ubuntu1.1 or later), as listed in USN-88-1. See References.

For other distributions:
Contact your vendor for upgrade or patch information.

References:

  • reportbug Web page: Package: reportbug (1.50).
  • BID-12674: Debian Reportbug Multiple Information Disclosure Vulnerabilities
  • CVE-2005-0625: reportbug 3.2 includes settings from .reportbugrc in bug reports, which exposes sensitive information such as smtpuser and smtppasswd.
  • OSVDB ID: 14244: reportbug .reportbugrc Permission Weakness Information Disclosure
  • SA14422: Debian reportbug Exposure of Sensitive Information

Platforms Affected:

  • Canonical Ubuntu 4.10
  • Debian Debian Linux
  • Debian reportbug 2.60
  • Debian reportbug 2.61
  • Debian reportbug 3.2
  • Debian reportbug 3.71

Reported:

Feb 28, 2005

The information within this database may change without notice. Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. In no event shall the author/distributor (IBM Internet Security Systems X-Force) be held liable for any damages whatsoever arising out of or in connection with the use or spread of this information.

For corrections or additions please email ignore thisxforceignore this@ignore thisus.ignore thisibm.comignore this

Return to the main page